import "./answerButton.css";
interface Props{
    text: string;
    onClick: () => void;
    style: string;
    isDisabled: boolean;
}

export function AnswerButton({ text , onClick, style, isDisabled}: Props) {
    return (
        <button className={style} onClick={onClick} disabled={isDisabled}>
            <p className="answer-button-text">{text}</p>
        </button>
    );
}
