import "./quizTop.css";
interface Props {
    question: any;
}
export function QuizTop({ question }: Props) {
    return (
        <div className="quiz-top">
            <div className="home-id-container">
                <div className="home-id-box">
                    <p className="quiz-id">ID QUIZ: {question.id_quiz}</p>
                </div>
            </div>

            <div className="quiz-top-content">
                <div className="in-game-information">
                    <p className="text-nb-question">
                        QUESTION {question.questionIndex}/{question.questionCount}
                    </p>
                    <p className="text-score">
                        SCORE : {question.score}/{question.questionCount}
                    </p>
                </div>

                <div>
                    <p className="text-category">{question.category.name}</p>
                </div>

                <div className="quiz-top-text-question">
                    <p className="text-question">{question.text}</p>
                </div>
            </div>
        </div>
    );
}
