import HttpError from './HttpError';
import axios from 'axios';

export const useMultiplayerService = () => {
    const url = 'https://klebert-host.com:33037'; // Remplace par l'URL de ton endpoint API

    const createLobby = async (id_quiz: string, nb_players: number): Promise<any> => {
        return { id: '123456' };
    };

    const joinLobby = async (lobbyId: string): Promise<any> => {
        return {
            isHost: true,
        };
    };

    const startParty = async (lobbyId: string): Promise<any> => {};

    const recivedPlayers = async (): Promise<any> => {};

    const recivedStart = async (): Promise<any> => {};

    const recivedQuestion = async (): Promise<any> => {};

    const sendAnswer = async (codeQuiz: string, questionID: number, answerID: number): Promise<any> => {};

    const recivedResults = async (): Promise<any> => {};

    const recivedEnd = async (): Promise<any> => {};

    const lobbyInfos = async (lobbyId: string): Promise<any> => {
        return { id: lobbyId, questionCount: 12, category: { id: 18, name: 'Anumals' } };
    };

    const getCategories = async () => {
        try {
            const response = await axios.get(`${url}/quiz/categories`, {
                headers: {
                    'Content-Type': 'application/json',
                },
            });
            return response.data;
        } catch (error: any) {
            if (error.response) {
                return new HttpError(error.response.status, error.response.data?.message || 'HTTP error');
            } else {
                return new HttpError(500, 'Unexpected error: ' + error.message);
            }
        }
    };

    return {
        createLobby,
        getCategories,
        startParty,
        recivedQuestion,
        recivedResults,
        recivedEnd,
        recivedStart,
        sendAnswer,
        joinLobby,
        recivedPlayers,
        lobbyInfos,
    };
};
