// To join a quiz by id
import { useState } from 'react';
import './joinAQuiz.css';
import { useQuizService } from '../../../services/QuizService';
import { useNavigate } from 'react-router-dom';
import {Quiz} from "../../../models/Quiz.ts";

interface paqProps {
    loading: () => void;
}

export function JoinAQuiz({ loading }: paqProps) {
    const [quizFound, setQuizFound] = useState(false);  //change to true when quiz is found
    const [quiz, setQuiz] = useState<Quiz>();
    const [errMassage, setErrMassage] = useState<string>('No quiz found');
    // const { remainingQuiz } = useQuizService();
    const navigate = useNavigate();

    // const changeIDQuiz = async (event: any) => {
    //     const idQuiz = event.target.value;
    //     if (idQuiz.length === 6) {
    //         // const quiz = await remainingQuiz(idQuiz);
    //         const quiz = new Quiz();
    //         if (quiz instanceof Error) {
    //             console.error("Error while fetching quiz:", quiz);
    //             setErrMassage(quiz.message);
    //             return;
    //         }
    //         setQuiz(quiz);
    //         setQuizFound(true);
    //     } else {
    //         setQuizFound(false);
    //         setErrMassage('No quiz found');
    //     }
    // }

    const handleGo = () => {
        if (!quizFound) {
            return
        } else {
            navigate('/quiz/' + quiz.id);
        }
    }

    return (
        <div className="container-jaq">
            <p className="title">IL FAUT REFACTO</p>
            {/*<p className="title">Join a quiz</p>*/}
            {/*<form>*/}
            {/*    <div className="form-group">*/}
            {/*        <input type="text" className="inputRecherche" placeholder="code..." onChange={changeIDQuiz} />*/}
            {/*    </div>*/}
            {/*</form>*/}
            {/*<div className="quiz-info">*/}
            {/*    <div className="quiz-title">*/}
            {/*        <p className="quiz-info-title">Quiz information</p>*/}
            {/*        <hr />*/}
            {/*    </div>*/}
            {/*    {quizFound ? (<>*/}
            {/*        <div className="quiz-info-content">*/}
            {/*            <p className="quiz-info-content-value">{quiz.category.name}</p>*/}
            {/*        </div>*/}
            {/*        <div className="quiz-info-content">*/}
            {/*            <p className="quiz-info-content-title">Nb. questions</p>*/}
            {/*            <p className="quiz-info-content-value">{quiz.questionCount}</p>*/}
            {/*        </div>*/}
            {/*    </>) : (*/}
            {/*        <div className="quiz-info-content">*/}
            {/*            <p className="quiz-info-content-value">{errMassage}</p>*/}
            {/*        </div>*/}
            {/*    )}*/}
            {/*</div>*/}

            {/*<div className="new-quiz">*/}
            {/*    <button className="blueButton" onClick={handleGo}>Go !</button>*/}
            {/*</div>*/}
        </div >

    );
}
